CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

GET_FILENAME_COMPONENT(MODULE_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME)
FILE(GLOB SOURCES "*.h" "*.cxx" "*.hpp" "*.cpp" "*.c" "*.tpp" "*.inl" "*.C")
ADD_LIBRARY(${MODULE_NAME} ${SOURCES})